%define anolis_release 2
%define PREVER b47
%define DUMP_VERSION 0.4%{PREVER}

%define _legacy_common_support 1

Summary:       Programs for backing up and restoring ext2/ext3/ext4 filesystems
Name:          dump
Epoch:         1
Version:       0.4
Release:       %{anolis_release}%{dist}
License:       BSD
URL:           https://sourceforge.net/projects/dump/
Source:        http://downloads.sourceforge.net/%{name}/%{name}-%{DUMP_VERSION}.tar.gz
BuildRequires: e2fsprogs-devel >= 1.18, readline-devel >= 4.2
BuildRequires: zlib-devel, bzip2-devel, automake, make
BuildRequires: device-mapper-devel, libselinux-devel
BuildRequires: lzo-minilzo
BuildRequires: lzo-devel, libtool
Requires:      setup
Requires:      rmt
Obsoletes:     dump-static <= 0.4
Provides:      dump-static

%description
The dump package contains both dump and restore. Dump examines files
in a filesystem, determines which ones need to be backed up, and
copies those files to a specified disk, tape, or other storage medium.
The restore command performs the inverse function of dump; it can
restore a full backup of a filesystem. Subsequent incremental backups
can then be layered on top of the full backup. Single files and
directory subtrees may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{DUMP_VERSION}

%build
autoreconf -fiv

export CFLAGS="$RPM_OPT_FLAGS -Wall -Wpointer-arith -Wstrict-prototypes \
-Wmissing-prototypes -Wno-char-subscripts -fno-strict-aliasing"

# XXX --enable-kerberos needs krcmd
%configure --disable-static \
    --enable-transselinux \
    --enable-largefile \
    --disable-rmt \
    --enable-qfa \
    --enable-readline \
    --with-binmode=0755 \
    --with-manowner=root \
    --with-mangrp=root \
    --with-manmode=0644

%make_build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

%make_install \
    SBINDIR=%{buildroot}%{_sbindir} \
    BINDIR=%{buildroot}%{_sbindir} \
    MANDIR=%{buildroot}%{_mandir}/man8 \
    BINOWNER=$(id -un) \
    BINGRP=$(id -gn) \
    MANOWNER=$(id -un) \
    MANGRP=$(id -gn)

pushd %{buildroot}
    ln -sf dump .%{_sbindir}/rdump
    ln -sf restore .%{_sbindir}/rrestore
    mkdir -p .%{_sysconfdir}
    > .%{_sysconfdir}/dumpdates
popd

%files
%license COPYING
%doc dump.lsm
%attr(0664,root,disk) %config(noreplace) %{_sysconfdir}/dumpdates
%{_sbindir}/dump
%{_sbindir}/rdump
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*

%{_sbindir}/restore
%{_sbindir}/rrestore
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files doc
%doc AUTHORS ChangeLog NEWS README REPORTING-BUGS TODO KNOWNBUGS MAINTAINERS

%changelog
* Mon Jan  9 2023 Jing Zhang <renyu.zj@linux.alibaba.com> 0.4-2
- Optimize spec.
 
* Tue Apr 12 2022 Zhongling He <zhonglingh@linux.alibaba.com> 0.4-1
- Init package from upstream v0.4b47
